Summary
Import Triggers
Description
Import Triggers.
Route
PUT /operations-manager/triggers
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| triggers |
array |
yes |
An array of exported Trigger documents. |
| options |
object |
yes |
Optional parameters. |
Copied to Clipboard
{
"triggers": [
{
"name": 50109718,
"type": "officia non consectetur",
"enabled": -48545813,
"actionType": 59338215,
"actionId": "amet",
"formData": "cillum irure",
"firstRunAt": -3513036,
"processMissedRuns": -39791335.772303075,
"repeatUnit": 73444936.98683405,
"repeatFrequency": true,
"repeatInterval": false,
"_id": "aliqua ullamco culpa elit in",
"formId": true
},
{
"name": "myCoolDocumentName",
"type": "endpoint",
"enabled": true,
"actionType": "automations",
"actionId": "c64d39e9c0c1673ef877c2d7",
"verb": "POST",
"routeName": "1jTgqTP",
"schema": null,
"_id": "ebd1ca370860d75c1c48991e",
"description": "Some helpful information about the document",
"lastExecuted": null,
"migrationVersion": -83193489,
"createdBy": null,
"created": "2018-04-07T19:30:22.359Z",
"lastUpdatedBy": null,
"lastUpdated": "1999-03-28T23:52:03.609Z"
}
],
"options": {
"adapterMap": {
"staging": "production"
}
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"triggers": {
"title": "triggers",
"type": "array",
"items": {
"title": "triggers",
"$ref": "trigger-json"
}
},
"options": {
"title": "options",
"type": "object",
"properties": {
"adapterMap": {
"type": "object",
"description": "A mapping of provenance names to be converted upon import, specified in \"old_name\": \"new_name\" format.",
"examples": [
{
"staging": "production"
},
{
"old_name": "new_name"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"triggers",
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| createdTigger |
object |
The result of the import operation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": [
{
"success": false,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "8c6e4501fbb5913d81e4e932",
"lastExecuted": null,
"migrationVersion": 66601236,
"createdBy": "Pronghorn",
"created": "1958-12-13T03:05:33.853Z",
"lastUpdatedBy": "394c90357f114c177a5b61bb",
"lastUpdated": "1997-11-15T22:23:53.116Z",
"_id": "b059e3ba2bbcba3853258b25"
}
},
{
"success": true,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "70b6f54b15bf10c0eebea950",
"lastExecuted": null,
"migrationVersion": 42680964,
"createdBy": "418dd885360eb9cb74f2f1f9",
"created": "1978-02-05T11:49:16.529Z",
"lastUpdatedBy": "1cf831739b48d9b83fd4ef4d",
"lastUpdated": "2004-09-05T07:08:34.9Z",
"_id": "fe807e883dd6b19c3de4e9cc"
}
},
{
"success": false,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "b35d651193f5c50c21a3d72a",
"lastExecuted": 57138043,
"migrationVersion": 62180403,
"createdBy": "d132aff5db3cc5c0c96beb6a",
"created": "1948-03-22T19:57:47.48Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "2024-11-03T23:22:02.341Z",
"_id": "824bc8f39c667fc25c221ae9"
}
},
{
"success": true,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "1434dfb6a3ec1ef0ce0af59c",
"lastExecuted": 10992163,
"migrationVersion": -10056037,
"createdBy": "Pronghorn",
"created": "1951-01-29T01:51:39.335Z",
"lastUpdatedBy": "ce1ec14c41f9d3cadf29364d",
"lastUpdated": "1972-12-28T04:49:05.989Z",
"_id": "cf44ea4c3bf591a19dc0df26"
}
},
{
"success": false,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "0d2ff49a82315cf2db14dd7d",
"lastExecuted": 57748524,
"migrationVersion": -4768445,
"createdBy": "1d5a6e49da518da7f77d0c2a",
"created": "2011-11-27T01:24:02.312Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1949-08-08T03:49:35.279Z",
"_id": "4efe21f9bcd23a90fe8a8505"
}
}
]
}